Page MenuHomePhabricator

Create fabfile.py for dev-images
Closed, ResolvedPublic

Description

Per @hashar, paraphrased slightly:

The logic to build the images is in /fabfile.py which is roughly:

  1. update integration/config.git checkout in /etc/zuul/wikimedia
  2. pull the base images:

docker pull docker-registry.wikimedia.org/wikimedia-jessie
docker pull docker-registry.wikimedia.org/wikimedia-stretch

  1. Run docker-pkg with an appropriate config file (for example: /etc/docker-pkg/integration.yaml)
  2. Profit.

Event Timeline

brennen created this task.May 14 2019, 8:11 PM

Note the fabfile.py in integration/config.git relies on Phabric 1.14 when it is now at 2.4.0.

One could potentially any other tool different tool. Potentially we might even be able to use Scap to deploy the conf to contint1001 and execute docker-pkg there. But that is arguably a different project :]

Change 510568 had a related patch set uploaded (by Hashar; owner: Hashar):
[releng/dev-images@master] Make target to build the images remotely

https://gerrit.wikimedia.org/r/510568

Change 510568 abandoned by Hashar:
Make target to build the images remotely

Reason:
That was just a dirty demo

https://gerrit.wikimedia.org/r/510568

Change 510619 had a related patch set uploaded (by Brennen Bearnes; owner: Brennen Bearnes):
[releng/dev-images@master] fabfile.py: docker_deploy command

https://gerrit.wikimedia.org/r/510619

hashar assigned this task to brennen.May 16 2019, 7:51 AM
greg triaged this task as Normal priority.May 28 2019, 9:08 PM
greg moved this task from Backlog to In-progress on the Release-Engineering-Team (Kanban) board.

Change 510619 merged by Hashar:
[releng/dev-images@master] fabfile.py: docker_deploy command

https://gerrit.wikimedia.org/r/510619

hashar closed this task as Resolved.Jun 4 2019, 11:03 AM